using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz.PollSystem
{
    [SerializableAttribute]
    public class PollOptionInfo
    {
        private int ciOptionID;
        private int ciSubjectID;
        private string csOptionName;
        private int ciOptionVotes;

        public PollOptionInfo()
        {}
        [Index]
        public int ID
        {
            get { return ciOptionID; }
            set { ciOptionID = value; }
        }

        public int SubjectID
        {
            get { return ciSubjectID; }
            set { ciSubjectID = value; }
        }

        public string OptionName
        {
            get 
            {
                if (csOptionName != null)
                {
                    return csOptionName;
                }
                else
                {
                    return string.Empty;
                }
            }
            set { csOptionName = value; }
        }

        public int OptionVotes
        {
            get { return ciOptionVotes; }
            set { ciOptionVotes = value; }
        }
    }

    public class PollOptionInfoList : BindingList<PollOptionInfo>
    {
        public PollOptionInfoList()
        {}
    }
}


